<template>
	<view class="content">
		<view class="inner">
			<!-- 时间、价格 -->
			<view class="time-price">
				<text class="time">请在{{payLimitTime}}前完成支付</text>
				<view class="price-box">
					<text class="unit">¥</text>
					<text class="num">{{order.payPrice}}</text>
				</view>
			</view>
			<!-- 支付方式 -->
			<view class="pay-type">
				<view class="title">支付方式</view>
				<view class="item">
					<view class="left">
						<image src="https://bjyjb-1362704775.cos.ap-chongqing.myqcloud.com/app/newImages/shopping/wecha_pay.png" mode=""></image>
						<text class="text">微信支付</text>
					</view>
					<label>
						<checkbox disabled value="" :checked="wxPay" />
					</label>
				</view>
			</view>
			<!-- 订单详情查看 -->
			<view class="order-info">
				<view class="title">订单信息</view>
				<view class="item">
					<text class="label">订单编号</text>
					<view class="sn-box">
						<text class="text">{{order.orderCode}}</text>
						<view class="copy-btn" @click="copyOrderSn(order.orderCode)">复制</view>
					</view>
				</view>
				<view class="item">
					<text class="label">下单时间</text>
					<text class="text">{{order.createTime}}</text>
				</view>
				<view class="item">
					<text class="label">支付方式</text>
					<text class="text">微信支付</text>
				</view>
				 
			</view>
			
		</view>
		<view class="btn-box">
			<view class="btn" @click="payOrder()">去支付</view>
		</view>
	</view>
</template>

<script>
	import {payByCombinationId,getStoreOrderById} from '@/api/myStoreOrder'
	export default {
		data() {
			return {
				payLimitTime:null,
				order:null,
				// 默认选中微信支付
				wxPay: true,
			}
		},
		onLoad: function(options) {
		    if (options.hasOwnProperty('q') && options.q) {
				// 通过下面这步解码，可以拿到url的值
				const url = decodeURIComponent(options.q)
				this.url=url;
				// // 对url中携带的参数提取处理
				const obj = this.$urlToObj(url)
				this.orderId=obj.orderId;
		    }
			else if(options!=null&&options.orderId!=null){
				this.orderId=options.orderId;
			}
		},
		onShow() {
			this.getStoreOrderById();
		},
		methods: {
			copyOrderSn(text) {
				// 复制方法
				uni.setClipboardData({
					data:text,
					success:()=>{
						uni.showToast({
							title:'内容已成功复制到剪切板',
							icon:'none'
						})
					}
				});
			},
			getStoreOrderById(){
				var data = {orderId:this.orderId};
				var that=this;
				uni.showLoading();
				getStoreOrderById(data).then(
					res => {
						if(res.code==200){
							 console.log(res);
							  uni.hideLoading();
							  that.order=res.order;
							  that.payLimitTime=res.payLimitTime;
						}else{
							uni.showToast({
								icon:'none',
								title: res.msg,
							});
						}
					},
					rej => {}
				);
				
			},
			payOrder(){
				var data = {orderId:this.order.id,appId: getApp().globalData.appId};
				var that=this;
				uni.showLoading();
				payByCombinationId(data).then(
					res => {
						if(res.code==200){
							 console.log(res);
							 uni.requestPayment({
							 	provider: 'wxpay',
							 	timeStamp: res.result.timeStamp,
							 	nonceStr: res.result.nonceStr,
							 	package: res.result.packageValue,
							 	signType: res.result.signType,
							 	paySign: res.result.paySign,
							 	success: function(res) {
							 		 uni.hideLoading();
									 if(that.order.isPrescribe){
										 //如果是处方订单开处方
										uni.redirectTo({
										 	url:"prescribe?orderId="+that.order.id
										})
									 }
									 else{
										//如果是普通订单
										uni.redirectTo({
											url:"success?order="+JSON.stringify(that.order)
										}) 
									 }
							 	},
							 	fail: function(err) {
							 		console.log('fail:' + JSON.stringify(err));
							 		uni.hideLoading();
							 	}
							 });
						}else{
							uni.showToast({
								icon:'none',
								title: res.msg,
							});
						}
					},
					rej => {}
				);
				
			}
		}
	}
</script>

<style lang="scss">
	page{
		height: 100%;
		background-color: #F2F5F9;
	}
	.content{
		height: 100%;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		.inner{
			padding: 20upx;
			.time-price{
				box-sizing: border-box;
				height: 200upx;
				background: #FFFFFF;
				border-radius: 16upx;
				display: flex;
				flex-direction: column;
				align-items: center;
				padding-top: 50upx;
				.time{
					font-size: 26upx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #999999;
					line-height: 1;
					text-align: center;
				}
				.price-box{
					display: flex;
					align-items: flex-end;
					margin-top: 28upx;
					.unit{
						font-size: 32upx;
						font-family: PingFang SC;
						font-weight: bold;
						color: #FF6633;
						line-height: 1.3;
						margin-right: 10upx;
					}
					.num{
						font-size: 56upx;
						font-family: PingFang SC;
						font-weight: bold;
						color: #FF6633;
						line-height: 1;
					}
				}
			}
			.pay-type{
				box-sizing: border-box;
				height: 192upx;
				background: #FFFFFF;
				border-radius: 16upx;
				margin-top: 20upx;
				padding: 40upx 30upx;
				display: flex;
				flex-direction: column;
				justify-content: space-between;
				.title{
					font-size: 28upx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #999999;
					line-height: 1;
				}
				.item{
					display: flex;
					align-items: center;
					justify-content: space-between;
					.left{
						display: flex;
						align-items: center;
						image{
							width: 44upx;
							height: 44upx;
							margin-right: 20upx;
						}
						.text{
							font-size: 30upx;
							font-family: PingFang SC;
							font-weight: bold;
							color: #222222;
							line-height: 1;
						}
					}
				}
			}
			.order-info{
				margin-top: 20upx;
				background: #FFFFFF;
				border-radius: 16upx;
				padding: 40upx 30upx;
				.title{
					font-size: 30upx;
					font-family: PingFang SC;
					font-weight: bold;
					color: #222222;
					line-height: 1;
				}
				.item{
					margin-top: 40upx;
					display: flex;
					align-items: center;
					justify-content: space-between;
					.label{
						font-size: 26upx;
						font-family: PingFang SC;
						font-weight: 500;
						color: #666666;
						line-height: 1;
					}
					.text{
						font-size: 26upx;
						font-family: PingFang SC;
						font-weight: 500;
						color: #222222;
						line-height: 32upx;
					}
					.cont-text{
						font-size: 26upx;
						font-family: PingFang SC;
						font-weight: 500;
						color: #666666;
						.bold{
							color: #111111;
						}
					}
					.sn-box{
						display: flex;
						align-items: center;
						.copy-btn{
							width: 58upx;
							height: 32upx;
							line-height: 32upx;
							text-align: center;
							font-size: 22upx;
							font-family: PingFang SC;
							font-weight: 500;
							color: #222222;
							background: #F5F5F5;
							border-radius: 4upx;
							margin-left: 24upx;
						}
					}
					 
				}
				.line{
					width: 100%;
					height: 1px;
					background: #F0F0F0;
					margin-top: 30upx;
				}
			}
		}
		.btn-box{
			height: 121upx;
			background: #FFFFFF;
			display: flex;
			align-items: center;
			justify-content: center;
			.btn{
				width: 91.73%;
				height: 88upx;
				line-height: 88upx;
				font-size: 30upx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #FFFFFF;
				text-align: center;
				background: #2583EB;
				border-radius: 44upx;
			}
		}
	}
	
</style>
